:root {
  --ink: #050505;
  --paper: #ffffff;
  --red: #a62324;
  --deep-red: #5b0809;
  --pink: #ff416d;
  --blue: #58aeef;
}

* {
  box-sizing: border-box;
}

.poster {
  margin: 0 auto;
  margin-top: 70px !important;
  margin-bottom: 30px;
  display: flex;
}

.hero {
  position: relative;
  display: flex;
  flex-direction: column;
}

.album {
  display: block;
  width: 186px;
  height: 186px;
  object-fit: cover;
  border-radius: 5px;
}

.song-info {
  margin-left: 22px;
}

.song-info-c {
  display: none;
}

.song-info-c h1,
.song-info h1,
.profile h2 {
  display: inline-block;
  margin: 0;
  color: #fff;
  font-size: 38px;
  line-height: 1;
  font-weight: 900;
}

.song-info h1 span {
  font-size: 0.86em;
}

.song-info-c h1 span {
  font-size: 0.86em;
}

.credits {
  width: 520px;
  margin-left: 0px;
  padding: 1px 6px 0;
  color: #fff;
  font-size: 14px;
  line-height: 1.8;
  font-weight: 400;
  margin-top: 9px;
}

.credits p {
  margin: 0;
  white-space: nowrap; /* 防止文本换行 */
  overflow: hidden; /* 隐藏溢出的内容 */
  text-overflow: ellipsis; /* 显示省略符号来代表被修剪的文本 */
}

.idol {
  position: absolute;
  top: -297px;
  left: 632px;
  width: 427px;
  height: auto;
  z-index: 4;
  pointer-events: none;
}

.profile {
  display: flex;
  justify-content: space-between;
  position: relative;
}

.profile h2 {
  font-size: 38px;
}

.pinyin {
  display: inline-block;
  margin: 9px 0 8px 4px;
  padding: 0 4px;
  color: #fff;
  font-size: 14px;
  line-height: 1.1;
  font-weight: 900;
}

.profile strong {
  display: block;
  width: max-content;
  margin-left: 0;
  padding: 4px 16px 5px;
  background: var(--blue);
  color: var(--paper);
  font-size: 18px;
  line-height: 1;
  font-weight: 900;
}
.profile_text {
  max-width: 168px;
  font-size: 15px;
  color: #fff;
  line-height: 1.65;
  font-weight: 400;
  position: absolute;
  top: 0;
  right: 0;
}

.support {
  position: relative;
  width: 350px;
  height: 69px;
  background: url("../image/version23/detail/de_4.png") no-repeat center center;
  background-size: 100% 100%;
  margin-top: 33px;
  color: #fff;
  font-size: 31px;
  line-height: 1;
  font-weight: 900;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.support_h5 {
  position: relative;
  width: 243px;
  height: 65px;
  background: url("../image/version23/detail/de_4.png") no-repeat center center;
  background-size: 100% 100%;
  margin: 0 auto;
  margin-top: 25px;
  color: #fff;
  font-size: 23px;
  line-height: 1;
  font-weight: 900;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.cards {
  display: flex;
  flex-direction: column;
  margin-top: 10px;
  margin-left: 40px;
}
.card_line {
  width: 458px;
  height: 1px;
  border-top: 1px dashed rgba(255, 255, 255, 0.37);
  margin: 17px 0;
}
.feature-card-1 {
  position: relative;
  display: block;
  width: 1030px;
  height: 580px;
  border-radius: 5px;
  margin-top: 40px;
}
.hero_flex {
  display: flex;
}
.z_j_text {
  font-weight: bold;
  font-size: 20px;
  color: #ffffff;
}

.feature-card-1 .video_init {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

.feature-card-1::after {
  content: "";
  position: absolute;
  inset: 0;
  border: 3px solid rgba(255, 255, 255, 1);
  border-radius: 5px;
  pointer-events: none;
}

.feature-card-2 {
  position: relative;
  display: block;
  width: 400px;
  height: 580px;
  border-radius: 8px;
  margin-top: 50px;
}

.feature-card-2 img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: fill;
  border-radius: 8px;
  pointer-events: auto !important;
  cursor: pointer;
}

.feature-card-2::after {
  content: "";
  position: absolute;
  inset: 0;
  border: 3px solid rgba(255, 255, 255, 1);
  border-radius: 5px;
  pointer-events: none;
}

@media (max-width: 1024px) {
  .poster {
    margin: 0 auto;
    margin-top: 40px !important;
    margin-bottom: 30px;
    display: flex;
    flex-direction: column;
    align-items: normal;
  }
  .song-name-h5 {
    text-align: center;
  }
  .support {
    display: none;
  }
  .hero {
    position: relative;
    display: flex;
    flex-direction: column;
  }
  .hero_flex {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .song-info {
    width: 80%;
    margin-left: 0px;
    margin-top: 25px;
  }
  .song-info-c {
    display: block;
    width: 80%;
    margin-left: 0px;
    margin-top: 25px;
  }
  .card_line {
    width: 100%;
    height: 1px;
    border-top: 1px dashed rgba(255, 255, 255, 0.37);
    margin: 13px 10px 10px 0px;
  }
  .credits {
    width: 100%;
    margin-left: 0px;
    padding: 0px 0px 0;
    color: #fff;
    font-size: 14px;
    line-height: 1.8;
    font-weight: 400;
    margin-top: 9px;
  }
  .z_j_text {
    font-weight: bold;
    font-size: 18px;
    color: #ffffff;
    margin-top: 13px;
  }
  .song-info h1 {
    font-size: 30px;
    margin-bottom: 7px !important;
  }
  .song-info-c h1 {
    font-size: 30px;
  }
  .feature-card-1 {
    position: relative;
    display: block;
    width: 88%;
    height: 106.67vw;
    border-radius: 1.33vw;
    margin: 0 auto;
    margin-top: 66.67vw;
  }
  .no-idol {
    margin-top: 13vw;
  }
  .profile {
    display: none;
  }
  .feature-card-2 {
    position: relative;
    display: block;
    width: 88%;
    height: auto;
    border-radius: 8px;
    margin-top: 35px;
    background: #fff;
    padding-bottom: 15px;
  }
  .feature-card-2 img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
    border-radius: 8px;
    pointer-events: auto !important;
    cursor: pointer;
  }
  .idol {
    position: absolute;
    top: -57.7vw;
    left: 59%;
    transform: translate(-50%, 0);
    width: 94%;
    height: auto;
    z-index: 4;
    pointer-events: none;
  }
  .cards {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 0px;
    margin-left: 0px;
  }
  .album {
    display: block;
    width: 180px;
    height: 180px;
    object-fit: cover;
    border-radius: 5px;
  }
  .detail_list_img {
    box-shadow: 0px 3px 13px 0px #ffffff;
    border: 2px solid #ffffff;
  }
}
